Customer Ownerships
Update customer ownerships
Update customer ownerships
curl --request PUT \
--url https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/ownerships/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"sales_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
'import requests
url = "https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/ownerships/"
payload = [
{
"sales_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
sales_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rep_link_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
])
};
fetch('https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/ownerships/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"sales_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rep_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifier": "<string>",
"name": "<string>"
}
]
}
]Authorizations
Path Parameters
⌘I
Update customer ownerships

